# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header$

DESCRIPTION="C++ port of lucene"
HOMEPAGE="http://www.sourceforge.net/projects/clucene"
SRC_URI="mirror://sourceforge/clucene/${P}.tar.gz"
LICENSE="LGPL-2.1"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
SLOT="0"
IUSE="unicode"

DEPEND="sys-devel/libtool"

src_compile() {
	# Some files fail to get installed if we don't redo automake/autoconf.
	automake
	autoconf
	# We cannot use use_enable due to a bug in the configure script which
	# causes both --disable and --enable to enable unicode;
	# patch already submitted upstream.  Note that I can't actually get UCS2
	# support to compile at all on my machine.
	econf $(useq unicode && echo '--enable-ucs2') || die "econf failed"
	emake || die "emake failed"
}

src_install() {
	make DESTDIR="${D}" install || die "make install failed"
}