# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit subversion

# Removes the "_alpha" part of the ebuild version and replace it with "r"
DESCRIPTION="Vector and bitmap graphics editor"
HOMEPAGE="http://www.xaraxtreme.org/"
LICENSE="GPL-2"

ESVN_PROJECT="${PN/-svn}"
ESVN_REPO_URI="svn://svn.xara.com/Trunk/XaraLX"

SLOT="0"
KEYWORDS="~x86"
IUSE="debug nls"

DEPEND="app-arch/zip \
	dev-lang/perl \
	>=media-libs/jpeg-6b \
	>=media-libs/libpng-1.2.8 \
	>=x11-libs/gtk+-2.0 \
	>=x11-libs/wxGTK-2.6.3_rc2"

RDEPEND="${DEPEND}"

S=${WORKDIR}/XaraLX

src_unpack() {
    subversion_src_unpack
}
						

src_compile() {

	cd ${S}

	autoreconf -f -i -s || die "autoreconf failed"

	econf \
		$(use_enable debug) \
		$(use_enable nls) \
		|| die "econf failed"

}

src_install() {

	make DESTDIR=${D} install || die "install failed"

}

pkg_postinst() {

	cd ${S}

	dodoc AUTHORS ChangeLog NEWS README
	dodoc libs/LIBS-LICENSE

	einfo
	einfo "Note the executable name is \"XaraLX\"."
	einfo
	einfo "Also note the \"XaraLX\" executable is compiled with a binary"
	einfo "version of the \"CDraw\" library, which is NOT YET licensed"
	einfo "under the GPL-2 by Xara. The license, which you will find in"
	einfo "the /usr/share/doc/${PF}/LIBS-LICENSE file,"
	einfo "states you cannot distribute the library without the"
	einfo "Xara Xtreme source code or binary version."
	einfo

}
